Package org.eclipse.ecf.core.identity

# Class LongID

java.lang.Object
org.eclipse.ecf.core.identity.BaseID
org.eclipse.ecf.core.identity.LongID

All Implemented Interfaces:
  `Serializable`, `Comparable`, `Principal`, `org.eclipse.core.runtime.IAdaptable`, `ID`

public class LongID extends BaseID
A unique ID class based upon Long/long

See Also:
  - Serialized Form

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`LongID.LongNamespace`

## Field Summary

### Fields inherited from class org.eclipse.ecf.core.identity.BaseID

`namespace`

## Constructor Summary

Constructors
Modifier
Constructor
Description
``
`LongID()`
`protected`
`LongID(Namespace n, long v)`
`protected`
`LongID(Namespace n, Long v)`

## Method Summary

Modifier and Type
Method
Description
`long`
`longValue()`
`protected int`
`namespaceCompareTo(BaseID o)`
Called by `Namespace.getCompareToForObject(BaseID, BaseID)`.
`protected boolean`
`namespaceEquals(BaseID o)`
Called by `Namespace.testIDEquals(BaseID, BaseID)`.
`protected String`
`namespaceGetName()`
Called by `Namespace.getNameForID(BaseID)`.
`protected int`
`namespaceHashCode()`
Called by `Namespace.getHashCodeForID(BaseID)`.
`String`
`toString()`

### Methods inherited from class org.eclipse.ecf.core.identity.BaseID

`compareTo, equals, getAdapter, getName, getNamespace, hashCode, namespaceToExternalForm, toExternalForm`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface java.security.Principal

`implies`

## Constructor Details

### LongID

public LongID()

Since:
  3.9

### LongID

protected LongID(Namespace n, Long v)

### LongID

protected LongID(Namespace n, long v)

## Method Details

### namespaceCompareTo

protected int namespaceCompareTo(BaseID o)
Description copied from class: `BaseID`
Called by `Namespace.getCompareToForObject(BaseID, BaseID)`.

Specified by:
  `namespaceCompareTo` in class `BaseID`
Parameters:
  `o` - the other ID to compare to. Will not be `null`.
Returns:
  the appropriate value as per `Comparable` contract.

### namespaceEquals

protected boolean namespaceEquals(BaseID o)
Description copied from class: `BaseID`
Called by `Namespace.testIDEquals(BaseID, BaseID)`.

Specified by:
  `namespaceEquals` in class `BaseID`
Parameters:
  `o` - the other ID to test against. May be `null`.
Returns:
  `true` if this ID is equal to the given ID. `false` otherwise.

### namespaceGetName

protected String namespaceGetName()
Description copied from class: `BaseID`
Called by `Namespace.getNameForID(BaseID)`.

Specified by:
  `namespaceGetName` in class `BaseID`
Returns:
  String name for this ID. Must not be `null`. Value returned should be unique within this Namespace.

### namespaceHashCode

protected int namespaceHashCode()
Description copied from class: `BaseID`
Called by `Namespace.getHashCodeForID(BaseID)`.

Specified by:
  `namespaceHashCode` in class `BaseID`
Returns:
  int hashCode for this ID. Returned value must be unique within this process.

### longValue

public long longValue()

### toString

public String toString()

Specified by:
  `toString` in interface `Principal`
Overrides:
  `toString` in class `Object`